Skip to main content
POST
Send a test print (PickFlow)

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
string
required

Print station ID.

Query Parameters

printer
string

Printer name on the station. May also be sent in the JSON body.

Response

Test print job queued

Payload-free print job summary (camelCase keys).

id
string

Print job ID.

stationId
string

ID of the station the job was sent to.

kind
string

Job kind (shipping_label, packing_slip, or raw).

format
string

Payload format (zpl or pdf).

status
string

Job status (e.g. queued, assigned, printed, failed).

printerName
string | null
copies
integer
metadata
object | null
attemptCount
integer
error
string | null

Last error reported by the station, if any.

createdBy
string | null
createdAt
string<date-time>
assignedAt
string<date-time> | null
printedAt
string<date-time> | null